Subject: [mpls] MPLS-RT review on draft-rhd-mpls-tp-psc-priority-01

From: Mach Chen <[email-masked]>
Date: Fri, 23 Aug 2013 08:08:41 +0000

Hi,

I have done my MPLS-RT review on draft-rhd-mpls-tp-psc-priority-01.

The draft proposes three changes to RFC6378

1) swap the priority of FS and SF-P: the scenario is valid and this solution to that scenarios is also valid. At the same time, need to consider whether this change will lead to other potential problems. With this change, the operator will not be able to forth switch the traffic to protection path when signal fail in protection path. This may required in the situation where both working and protection path are failed, and the operator may hope to forth switch the traffic to the protection path before making sure the working path is recovered, or before determining what caused the working path failed. 

2) raise the priority of "Clear SF": the situation described in Appendix B may occur if the "Clear SF" input is really ignored and dropped after reporting to the PSC logic. IMHO, the critical inputs (like SF, Clear SF) should never be ignored and dropped, but they could be suspended and processed later on. Raise the priority is a potential valid solution to the issue.  In addition, the current Fpath only has two states, 0 and 1, it cannot convey the situation that both protection and working path are failed. If there is third state, for example, 2 that indicates the anomaly condition is on both protection and working path, thing may be different.

3) Freeze command, I think it is a valid solution if the priority of FS and SF-P is swapped. One clarify question about it, does it mean that both ends need to configure the Freeze command?

The format of this draft is similar to draft-cdh-mpls-tp-psc-non-revertive-00, the proposed updates look like erratas. So, I do believe the better way is to do a bis IMHO.

Best regards,
Mach